Bug 1282973 - [GSS](6.4.z) Unable to disable the automatic GC log flags specifically in the standalone.sh/.bat
[GSS](6.4.z) Unable to disable the automatic GC log flags specifically in the...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.14
Assigned To: Radovan STANCEL
Marek Kopecky
:
Depends On:
Blocks: eap6414-payload
  Show dependency treegraph
 
Reported: 2015-11-17 18:11 EST by Aaron Ogburn
Modified: 2018-04-20 10:19 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 04:21:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-3500 Major Verified Unable to disable the automatic GC log flags specifically in the standalone.sh/.bat 2018-04-23 02:32 EDT
JBoss Issue Tracker JBEAP-8240 Minor Verified [GSS](7.0.z) Unable to disable the automatic GC log flags specifically in the standalone.sh/.bat 2018-04-23 02:32 EDT
Red Hat Knowledge Base (Solution) 2064213 None None None 2017-02-23 16:09 EST
Red Hat Knowledge Base (Solution) 3057901 None None None 2018-04-20 10:19 EDT

  None (edit)
Description Aaron Ogburn 2015-11-17 18:11:22 EST
standalone.sh/.bat enables GC logs automatically if not enabled.  But it doesn't necessarily detect all custom GC log options (if someone enabled gc logging without -verbose:gc).  Setting PRESERVE_JAVA_OPTS can prevent manipulation of the JAVA_OPTS by the scripts like that, but it'd be nice if there was an option like PRESERVE_JAVA_OPTS to prevent addition of GC logs specifically.
Comment 9 Jiří Bílek 2017-02-22 09:25:36 EST
Verified with EAP 6.4.14.CP.CR1
Comment 10 Petr Penicka 2017-03-23 04:21:31 EDT
Released with EAP 6.4.14 on March 14 (ZIPs) and March 22 (RPMs).

Note You need to log in before you can comment on or make changes to this bug.